/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { EventEmitter, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class AswFormBuilder implements OnInit {
    dialog: MatDialog;
    constants: any;
    availableControls: any[];
    formContainer: any[];
    previewClick: EventEmitter<any[]>;
    publishClick: EventEmitter<any[]>;
    constructor(dialog: MatDialog);
    ngOnInit(): void;
    drop(event: CdkDragDrop<string[]>): void;
    updatedControl(data: any): void;
    deleteControl(index: any): void;
    previewTemplate(): void;
    previewJsonData(): void;
    publishTemplate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswFormBuilder, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswFormBuilder, "asw-form-builder", never, {}, { "previewClick": "previewClick"; "publishClick": "publishClick"; }, never, never>;
}
